Ubuntu

Backport button element support to Lucid

Reported by Gary Poster on 2010-11-30
136
This bug affects 25 people
Affects Status Importance Assigned to Milestone
Dapper Backports
Undecided
Unassigned
Hardy Backports
Undecided
Unassigned
Baltix
Undecided
Unassigned
w3m (Ubuntu)
Wishlist
Unassigned
Lucid
Wishlist
Canonical Foundations Team
Maverick
Wishlist
Canonical Foundations Team

Bug Description

Binary package hint: w3m

Per bug 523229, we would like the button element support (<debian/patches/020_button.patch> in w3m 0.5.2-10) to be ported back to Lucid and Maverick. This will mean that Ubuntu's SSO can be used in the default text-based browser that Ubuntu ships.

Thank you

Related branches

lp:~iheino+ub/ubuntu/lucid/w3m/bug683337
Merged into lp:ubuntu/lucid-updates/w3m at revision 15
Colin Watson: Approve on 2011-03-24
Artur Rona: Disapprove on 2011-01-30
Tatsuya Kinoshita (community): Approve on 2011-01-23
Tuomas Heino (community): Needs Information on 2011-01-18
Changed in w3m (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Changed in w3m (Ubuntu Lucid):
status: New → Confirmed
Changed in w3m (Ubuntu Maverick):
status: New → Confirmed
Changed in w3m (Ubuntu Lucid):
importance: Undecided → Wishlist
milestone: none → lucid-updates
Changed in w3m (Ubuntu Maverick):
importance: Undecided → Wishlist
milestone: none → maverick-updates
Changed in w3m (Ubuntu Lucid):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Changed in w3m (Ubuntu Maverick):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Tuomas Heino (iheino+ub) wrote :

lp:~iheino+ub/ubuntu/lucid/w3m/bug683337 fixes logging into launchpad for me on Lucid.
Still need to write a changelog entry at least, as well as port to Maverick too.

Changed in w3m (Ubuntu Lucid):
status: Confirmed → In Progress
tags: added: iso-testing
Tuomas Heino (iheino+ub) on 2011-02-03
Changed in w3m (Ubuntu Lucid):
status: In Progress → Confirmed
Colin Watson (cjwatson) wrote :

Fixed in Natty:

w3m (0.5.2-10) unstable; urgency=low

  * debian/patches/010_upstream.patch: Sync with the upstream development
    snapshot on 2010-10-11.
    - Better non-ascii handling. (closes: #138891, #313365)
    - Introduce mailto_options. (closes: #473780)
    - All elements have the id attribute. (closes: #573789)
    - Define ATTR_ROWSPAN_MAX to check rowspan. (LP: #131993, LP: #619500)
    - Update the man page. (closes: #595534)
    - Add a FILES section to the man page. (closes: #403634)
    - Mention the -I option in the man page. (closes: #398260, #530515)
  * debian/patches/020_button.patch: Patch from upstream to support the
    button element. It is discussed upstream and incomplete, but enough to
    login Launchpad. (LP: #628755, closes: #136810)
  * debian/patches/040_maximum-cols.patch: Removed. (merged upstream)
  * debian/control, debian/rules: Use autotools-dev (>= 20100122) to update
    config.guess and config.sub.
  * debian/patches/020_config-guess.patch: Removed.

 -- Tatsuya Kinoshita <email address hidden> Sat, 16 Oct 2010 00:59:32 +0900

Lucid and Maverick versions are in the queue awaiting approval.

Changed in w3m (Ubuntu):
status: Triaged → Fix Released

Accepted w3m into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in w3m (Ubuntu Lucid):
status: Confirmed → Fix Committed
tags: added: verification-needed
Tuomas Heino (iheino+ub) wrote :

w3m from lucid-proposed works properly for me.

This comment added using 0.5.2-2.1ubuntu1.2 right after trying to login to launchpad with previous version, which obviously didn't work as that one does not have the button-element support. Logging in & other launchpad functionality works fine now.

Martin Pitt (pitti) wrote :

Accepted w3m into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in w3m (Ubuntu Maverick):
status: Confirmed → Fix Committed
Tuomas Heino (iheino+ub) wrote :

Or in other words followed https://wiki.ubuntu.com/QATeam/PerformingSRUVerification#How%20to%20perform%20the%20test although skipped step 8 and adjusted step 6 to 'sudo aptitude install w3m/lucid-proposed'.

Tuomas Heino (iheino+ub) wrote :

Likewise 0.5.2-6ubuntu1 from maverick-proposed works for me, comment sent using it.

Differences listed in code.launchpad.net for maverick version differ from merge-proposal unlike for lucid. Maybe because of different patch management for lucid/maverick versions?

Pedro Villavicencio (pedro) wrote :

I've verified the proposed package and can confirm that i'm now able to login to launchpad using the proposed version of w3m in both Lucid and Maverick, i'm thus marking this as verification-done, thanks all!.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package w3m - 0.5.2-2.1ubuntu1.2

---------------
w3m (0.5.2-2.1ubuntu1.2) lucid-proposed; urgency=low

  * debian/patches/80-w3m-0.5.2-10-020_button.diff:
    - Support the button element as defined in HTML 4.01.
      Backport of 020_button.patch from natty.
      (LP: #683337, Closes: #136810)
 -- Tuomas Heino <email address hidden> Mon, 17 Jan 2011 01:06:32 +0200

Changed in w3m (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package w3m - 0.5.2-6ubuntu1

---------------
w3m (0.5.2-6ubuntu1) maverick-proposed; urgency=low

  * debian/patches/091_button.patch:
    - Support the button element as defined in HTML 4.01.
      Backport of 020_button.patch from natty.
      (LP: #683337, Closes: #136810)
 -- Tuomas Heino <email address hidden> Mon, 17 Jan 2011 09:57:32 +0200

Changed in w3m (Ubuntu Maverick):
status: Fix Committed → Fix Released
Evan Broder (broder) wrote :

Closing the dapper-backports task due to Ubuntu 6.06 (Dapper Drake) no longer being supported.

This bug is being closed by a bot. If you feel the change was made in error, please feel free to re-open the bug. However, backports requests for Ubuntu 6.06 (Dapper Drake) are no longer being accepted.

Changed in dapper-backports:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions